package com.koobietech.eas.service;

import com.anji.captcha.model.common.ResponseModel;
import com.koobietech.eas.common.result.JsonResult;
import com.koobietech.eas.dao.pojo.AdminPojo;
import com.koobietech.eas.dao.pojo.UserDetailPojo;
import com.koobietech.eas.dao.dto.LoginTokenDto;

public interface EasSysAdminLoginService {
    LoginTokenDto adminLogin(AdminPojo adminPojo);

    LoginTokenDto refreshToken(String refreshToken);

    //增加一个接口 把ResponseModel 里面的值赋值到JsonResult里面
    JsonResult verifyToJsonResult(ResponseModel responseModel);


    UserDetailPojo getUserInfo(String token);
}
